summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-12-30 11:20:52 +0100
committerPacho Ramos <pacho@gentoo.org>2015-12-30 11:24:10 +0100
commitec9ee4992d6efa50cd86e62bfb4d7d4b3d9806ab (patch)
treee7cb2a3c1c367ed7b4698c4f1d6841f02b6ee0ab
parentdev-libs/libgdata: Drop old (diff)
downloadgentoo-ec9ee4992d6efa50cd86e62bfb4d7d4b3d9806ab.tar.gz
gentoo-ec9ee4992d6efa50cd86e62bfb4d7d4b3d9806ab.tar.bz2
gentoo-ec9ee4992d6efa50cd86e62bfb4d7d4b3d9806ab.zip
gnome-extra/gnome-documents: libgdata now uses a separate USE flag for switching gnome-online-accounts support and rename gnome USE to crypto (#566324)
Package-Manager: portage-2.2.26
-rw-r--r--gnome-extra/gnome-documents/gnome-documents-3.18.2-r1.ebuild55
1 files changed, 55 insertions, 0 deletions
diff --git a/gnome-extra/gnome-documents/gnome-documents-3.18.2-r1.ebuild b/gnome-extra/gnome-documents/gnome-documents-3.18.2-r1.ebuild
new file mode 100644
index 00000000000..346be520ba9
--- /dev/null
+++ b/gnome-extra/gnome-documents/gnome-documents-3.18.2-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+
+inherit gnome2
+
+DESCRIPTION="A document manager application for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Documents"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+
+# Need gdk-pixbuf-2.25 for gdk_pixbuf_get_pixels_with_length
+COMMON_DEPEND="
+ >=app-misc/tracker-1:=
+ >=app-text/evince-3.13.3[introspection]
+ dev-libs/gjs
+ >=dev-libs/glib-2.39.3:2
+ >=dev-libs/gobject-introspection-1.31.6:=
+ >=dev-libs/libgdata-0.13.3:=[crypt,gnome-online-accounts,introspection]
+ gnome-base/gnome-desktop:3=
+ >=media-libs/clutter-1.10:1.0
+ >=media-libs/clutter-gtk-1.3.2:1.0[introspection]
+ >=net-libs/gnome-online-accounts-3.2.0
+ >=net-libs/libsoup-2.41.3:2.4
+ >=net-libs/libzapojit-0.0.2
+ >=net-libs/webkit-gtk-2.6:4
+ >=x11-libs/gdk-pixbuf-2.25:2[introspection]
+ >=x11-libs/gtk+-3.15.5:3[introspection]
+ x11-libs/pango[introspection]
+"
+RDEPEND="${COMMON_DEPEND}
+ media-libs/clutter[introspection]
+ net-misc/gnome-online-miners
+ sys-apps/dbus
+ x11-themes/gnome-icon-theme-symbolic
+"
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxslt
+ >=dev-util/intltool-0.50.1
+ dev-util/itstool
+ virtual/pkgconfig
+"
+# eautoreconf requires yelp-tools
+
+src_prepare() {
+ # Prevent sandbox violation, https://bugzilla.gnome.org/show_bug.cgi?id=758097
+ sed -i -e '/-rm -f $(appdir)\/org.gnome.Books.data.gresource/d' data/Makefile.{am,in} || die
+ gnome2_src_prepare
+}